Subject: Re: so, for the really out of date...

From: Stefan Beller <[email-masked]>
Date: Sat, 17 Aug 2013 17:50:46 +0200

On 08/17/2013 05:10 PM, Jules wrote:
> I am running a Mac, v 10.6.8
> 
> It's some animal, I really don't follow this, like a lion (I think.)
> 
> Now, this mac is the only machine I let touch the internet.  So obviously I have to make git work here.  I have gnu gcc installed.  Is their source code I can compile (see, I'm not only paranoid but old. not a great combination, I am learning...)
> 

Jules,

you'll find downloads for git
at http://git-scm.com/downloads
There you can download prebuild packages.

However if you want to go by the source, and
have not git already... (git is maintained using git,
so if you don't have git, getting git, well before it gets
complicated):
At https://github.com/gitster/git you'll find a button
at the right lower side "Download as zip file", which
contains the sources.

These should be compilable using gcc. Make sure
to read the INSTALL file, it contains hints on which
other software apart from gcc is needed to setup git using
the sourcecode.

Stefan